package de.intevation.flys.artifacts.model.sq;

import java.io.Serializable;



public class SQResult implements Serializable {

    public static final int FRACTION_A = 0;
    public static final int FRACTION_B = 1;
    public static final int FRACTION_C = 2;
    public static final int FRACTION_D = 3;
    public static final int FRACTION_E = 4;
    public static final int FRACTION_F = 5;


    protected SQFractionResult[] fractions;


    public SQResult() {
        fractions = new SQFractionResult[6];
    }


    public SQFractionResult getFraction(int idx) {
        if (idx < fractions.length) {
            return fractions[idx];
        }

        return null;
    }

    public void setFraction(int idx, SQFractionResult fraction) {
        if (idx < fractions.length) {
            this.fractions[idx] = fraction;
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
